package ru.yandex.webmaster3.viewer.http.searchquery.statistic;

import ru.yandex.webmaster3.core.http.RequestQueryProperty;
import ru.yandex.webmaster3.core.searchquery.SpecialGroup;
import ru.yandex.webmaster3.viewer.http.AbstractUserVerifiedHostRequest;

/**
 * @author aherman
 */
public class SuggestQueryRequest extends AbstractUserVerifiedHostRequest {
    private String queryFilter;
    private int pageSize = 25;
    private SpecialGroup specialGroup;

    public int getPageSize() {
        return pageSize;
    }

    @RequestQueryProperty
    public void setPSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getQueryFilter() {
        return queryFilter;
    }

    @RequestQueryProperty
    public void setQueryFilter(String queryFilter) {
        this.queryFilter = queryFilter;
    }

    public SpecialGroup getSpecialGroup() {
        return specialGroup;
    }

    @RequestQueryProperty(required = true)
    public void setSpecialGroup(SpecialGroup specialGroup) {
        this.specialGroup = specialGroup;
    }
}
